## ros-one-jsk-rviz-plugins 2.1.10-5jammy.20251027.2138

=== CMakeLists.txt ===
# these plugins should be uploaded to upstream repository
# https://github.com/ros-visualization/rviz/pull/634

# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(jsk_rviz_plugins)
if(("$ENV{ROS_DISTRO}" STREQUAL "kinetic") OR ("$ENV{ROS_DISTRO}" STREQUAL "indigo"))
  # catch special case ROS kinetic where c++11 is not the default yet
  add_compile_options(-std=c++11)
endif()

# support environment does not have visualization such as VTK or Rviz (i.e embedded environment)
set(USE_VISUALIZATION ON CACHE BOOL "compile with rviz package")
if(USE_VISUALIZATION)
  set(RVIZ "rviz")
  set(JSK_RECOGNITION_UTILS "jsk_recognition_utils") # jsk_recognition_utils depends on pcl/visualization (https://github.com/jsk-ros-pkg/jsk_recognition/blob/09cbce5f0ce7102331f6e48b9f9befc2b1fda869/jsk_recognition_utils/src/pcl_conversion_util.cpp#L37)
else()
  set(RVIZ "")
  set(JSK_RECOGNITION_UTILS "")
  message(WARNING "Compile without RVIZ/jsk_recognition_utils package")
endif()

# Load catkin and all dependencies required for this package
# TODO: remove all from COMPONENTS that are not catkin packages.
find_package(catkin REQUIRED COMPONENTS ${RVIZ} jsk_hark_msgs jsk_footstep_msgs ${JSK_RECOGNITION_UTILS}
  people_msgs
  message_generation std_msgs diagnostic_msgs cv_bridge
  jsk_topic_tools
  image_geometry
  view_controller_msgs
  geometry_msgs
  dynamic_reconfigure
  jsk_recognition_msgs
  jsk_gui_msgs
  message_filters)

# Use ccache if installed to make it fast to generate object files
if (CMAKE_VERSION VERSION_LESS 3.4)
  find_program(CCACHE_FOUND ccache)
  if(CCACHE_FOUND)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
    set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
  endif(CCACHE_FOUND)
endif()

add_message_files(FILES
  OverlayText.msg OverlayMenu.msg TransformableMarkerOperate.msg ObjectFitCommand.msg
  Pictogram.msg PictogramArray.msg RecordCommand.msg StringStamped.msg)
add_service_files(FILES
  RequestMarkerOperate.srv EusCommand.srv
  Screenshot.srv
  )
catkin_python_setup()
generate_dynamic_reconfigure_options(
  cfg/ClassificationResultVisualizer.cfg
  cfg/ContactStateMarker.cfg
  cfg/OverlayTextInterface.cfg)
generate_messages(DEPENDENCIES std_msgs geometry_msgs)

if(USE_VISUALIZATION)
  set(${LIBRARIES_PROJECT_NAME} ${PROJECT_NAME})
else()
  set(${LIBRARIES_PROJECT_NAME} "")
endif()
catkin_package(
    DEPENDS ${RVIZ}
    CATKIN_DEPENDS jsk_hark_msgs jsk_footstep_msgs
    ${JSK_RECOGNITION_UTILS} cv_bridge people_msgs image_geometry
    INCLUDE_DIRS # TODO include
    LIBRARIES ${LIBRARIES_PROJECT_NAME}
)


set(ROS_BUILD_TYPE Release)

include_directories(src ${Boost_INCLUDE_DIR} ${catkin_INCLUDE_DIRS})

# TODO: fill in what other packages will need to use this package
## LIBRARIES: libraries you create in this project that dependent projects also need
## CATKIN_DEPENDS: catkin_packages dependent projects also need
## DEPENDS: system dependencies of this project that dependent projects also need

if(USE_VISUALIZATION AND rviz_QT_VERSION VERSION_LESS "5")
  find_package(Qt4 COMPONENTS QtCore QtGui REQUIRED)
  include(${QT_USE_FILE})
elseif(USE_VISUALIZATION)
  find_package(Qt5Widgets REQUIRED)
endif()
add_definitions(-DQT_NO_KEYWORDS -g)

include_directories(${CMAKE_CURRENT_BINARY_DIR})

#set(SOURCE_FILES src/ambient_sound_display.cpp src/ambient_sound_visual.cpp)

set(HEADER_FILES
  src/ambient_sound_display_groovy.h
  src/select_point_cloud_publish_action.h
  src/footstep_display.h
  src/publish_topic.h
  src/cancel_action.h
  src/record_action.h
  src/polygon_array_display.h
  src/normal_display.h
  src/overlay_text_display.h
  src/overlay_menu_display.h
  src/overlay_image_display.h
  src/overlay_camera_display.h
  src/plotter_2d_display.h
  src/pie_chart_display.h
  src/linear_gauge_display.h
  src/diagnostics_display.h
  src/quiet_interactive_marker_display.h
  src/bounding_box_display.h
  src/bounding_box_array_display.h
  src/torus_array_display.h
  src/overlay_diagnostic_display.h
  src/target_visualizer_display.h
  src/people_position_measurement_array_display.h
  src/simple_occupancy_grid_array_display.h
  src/camera_info_display.h
  src/close_all_tool.h
  src/open_all_tool.h
  src/overlay_picker_tool.h
  src/object_fit_operator.h
  src/robot_command_interface.h
  src/empty_service_call_interface.h
  src/pictogram_display.h
  src/pictogram_array_display.h
  src/view_controller/tablet_view_controller.h
  src/tablet_controller_panel.h
  src/video_capture_display.h
  src/rviz_scene_publisher.h
  src/twist_stamped_display.h
  src/pose_array_display.h
  src/tf_trajectory_display.h
  src/yes_no_button_interface.h
  src/segment_array_display.h
  src/image_transport_hints_property.h
  src/string_display.h
  src/human_skeleton_array_display.h
)

message(STATUS "Check rviz_FOUND: [${rviz_FOUND}], rviz_QT_VERSION: [${rviz_QT_VERSION}]")
if("${rviz_QT_VERSION}" STREQUAL "")
  message(WARNING "Compile without RVIZ package : skip qt_wrap_cpp")
elseif(rviz_QT_VERSION VERSION_LESS "5")
  qt4_wrap_cpp(MOC_FILES ${HEADER_FILES})
else()
  qt5_wrap_cpp(MOC_FILES ${HEADER_FILES})
endif()

set(SOURCE_FILES
  src/ambient_sound_display_groovy.cpp
  src/ambient_sound_visual.cpp
  src/footstep_display.cpp
  src/publish_topic.cpp
  src/cancel_action.cpp
  src/record_action.cpp
  src/select_point_cloud_publish_action.cpp
  src/polygon_array_display.cpp
  src/normal_display.cpp
  src/normal_visual.cpp
  src/overlay_text_display.cpp
  src/overlay_menu_display.cpp
  src/overlay_image_display.cpp
  src/overlay_camera_display.cpp
  src/plotter_2d_display.cpp
  src/pie_chart_display.cpp
  src/linear_gauge_display.cpp
  src/diagnostics_display.cpp
  src/bounding_box_display.cpp
  src/bounding_box_array_display.cpp
  src/torus_array_display.cpp
  src/quiet_interactive_marker_display.cpp
  src/target_visualizer_display.cpp
  src/overlay_diagnostic_display.cpp
  src/simple_occupancy_grid_array_display.cpp
  src/people_position_measurement_array_display.cpp
  src/overlay_utils.cpp
  src/facing_visualizer.cpp
  src/camera_info_display.cpp
  src/close_all_tool.cpp
  src/open_all_tool.cpp
  src/overlay_picker_tool.cpp
  src/screenshot_listener_tool.cpp
  src/object_fit_operator.cpp
  src/robot_command_interface.cpp
  src/empty_service_call_interface.cpp
  src/pictogram_display.cpp
  src/pictogram_array_display.cpp
  src/view_controller/tablet_view_controller.cpp
  src/tablet_controller_panel.cpp
  src/video_capture_display.cpp
  src/rviz_scene_publisher.cpp
  src/twist_stamped_display.cpp
  src/pose_array_display.cpp
  src/tf_trajectory_display.cpp
  src/yes_no_button_interface.cpp
  src/segment_array_display.cpp
  src/image_transport_hints_property.cpp
  src/string_display.cpp
  src/human_skeleton_array_display.cpp
  ${MOC_FILES}
)
if(jsk_recognition_msgs_VERSION VERSION_LESS 1.2.15)
  message(WARNING "jsk_recognition_msgs ${jsk_recognition_msgs_VERSION} < 1.2.15 does not support human_skeleton_array_display.cpp")
  list(REMOVE_ITEM HEADER_FILES src/human_skeleton_array_display.h)
  list(REMOVE_ITEM SOURCE_FILES src/human_skeleton_array_display.cpp)
  list(REMOVE_ITEM SOURCE_FILES  ${PROJECT_BINARY_DIR}/src/moc_human_skeleton_array_display.cxx)
endif()

if(NOT USE_VISUALIZATION)
  message(WARNING "polygon_array_display, simple_occupancy_grid_array_display requries jsk_recognition_utils")
  list(REMOVE_ITEM HEADER_FILES src/polygon_array_display.h)
  list(REMOVE_ITEM SOURCE_FILES src/polygon_array_display.cpp)
  list(REMOVE_ITEM HEADER_FILES src/simple_occupancy_grid_array_display.h)
  list(REMOVE_ITEM SOURCE_FILES src/simple_occupancy_grid_array_display.cpp)
endif()

if(rviz_FOUND)
add_library(jsk_rviz_plugins ${SOURCE_FILES} ${UIC_FILES})
if(rviz_QT_VERSION VERSION_LESS "5")
  target_link_libraries(jsk_rviz_plugins ${QT_LIBRARIES} ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES})
else()
  target_link_libraries(jsk_rviz_plugins Qt5::Widgets ${catkin_LIBRARIES} ${rviz_DEFAULT_PLUGIN_LIBRARIES})
endif()
add_dependencies(jsk_rviz_plugins
  jsk_footstep_msgs_generate_messages_cpp
  jsk_gui_msgs_generate_messages_cpp
  jsk_hark_msgs_generate_messages_cpp
  jsk_recognition_msgs_generate_messages_cpp
  people_msgs_generate_messages_cpp
  view_controller_msgs_generate_messages_cpp
  ${PROJECT_NAME}_generate_messages_cpp
  ${catkin_EXPORTED_TARGETS})

if("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set_target_properties(jsk_rviz_plugins PROPERTIES LINK_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -z defs")
endif()

# From https://github.com/jsk-ros-pkg/jsk_recognition/pull/2345
# Install header files directly into ${CATKIN_PACKAGE_INCLUDE_DESTINATION}.
# If the package has setup.py and modules under src/${PROJECT_NAME}/,
# install python executables directly into ${CATKIN_PACKAGE_BIN_DESTINATION}.
# However, if it doesn't have setup.py, directories including python executables
# should be installed recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Also, other directories like 'launch' or 'sample' must be installed
# recursively into ${CATKIN_PACKAGE_SHARE_DESTINATION}.
# Be careful that 'launch' and 'launch/' are different: the former is directory
# and the latter is each content.
install(TARGETS jsk_rviz_plugins
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)
endif(rviz_FOUND)

file(GLOB PYTHON_SCRIPTS scripts/*.py)
catkin_install_python(
  PROGRAMS ${PYTHON_SCRIPTS}
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(FILES plugin_description.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)
install(DIRECTORY cfg config icons launch test
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
  USE_SOURCE_PERMISSIONS
)
file(GLOB PYTHON_SAMPLES samples/*.py)
catkin_install_python(
  PROGRAMS ${PYTHON_SAMPLES}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/samples
)

install(DIRECTORY src/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h"
)

if (CATKIN_ENABLE_TESTING)
  # download and install sample data
  add_custom_target(${PROJECT_NAME}_install_sample_data COMMAND python$ENV{ROS_PYTHON_VERSION} ${PROJECT_SOURCE_DIR}/test/install_sample_data.py)
  add_dependencies(tests ${PROJECT_NAME}_install_sample_data)
  # run rostest for melodic+
  find_package(rostest REQUIRED)
  if("$ENV{ROS_DISTRO}" STRGREATER "indigo") # support from kinetic
    file(GLOB TEST_FILES test/*.test test/*.xml)
    foreach(TEST_FILE ${TEST_FILES})
      # if we failed to install sample data, skip testing face_detect and normal
      if((NOT EXISTS "${PROJECT_SOURCE_DIR}/test/data/2017-06-20-12-00-00_people_images_in_lab.bag") AND
	  ((${TEST_FILE} STREQUAL "${PROJECT_SOURCE_DIR}/test/face_detector.xml") OR
	    (${TEST_FILE} STREQUAL "${PROJECT_SOURCE_DIR}/test/normal.xml")))
	message(STATUS "Skip test for ${TEST_FILE} due to missing bag file")
	continue()
      endif()
      message(STATUS "Run test for ${TEST_FILE}")
      add_rostest(${TEST_FILE})
    endforeach()
  endif()
endif()

=== debian/changelog ===
ros-one-jsk-rviz-plugins (2.1.10-5jammy.20251027.2138) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 27 Oct 2025 21:38:42 +0000

ros-one-jsk-rviz-plugins (2.1.10-0jammy) jammy; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-rviz-plugins (2.1.9-0jammy) jammy; urgency=high

  * enable to jsk_rviz_plugins, without rviz/ogre (#848 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/848>)
    * jsk_rviz_plugins: find_package(Qt.. only when USE_VISUALIZATION
    * enable to compile without jsk_recognition_utils, if 'pcl/visualization' not found
    * enable to jsk_rviz_plugins, without rviz/ogre, i.e. use jsk_rviz_plugins message within embedded environment, compile with 'catkin bt -vi --cmake-args -DUSE_VISUALIZATION=ON'
  * add more visualization options for BoundingBox and BoundingBoxArray #844 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/844>
    * keep index to set box color
    * add value threshold filtering and fix unintended state behaviour for boxes violating size constraints
    * property naming consistency
    * hide min max properties in flat mode
    * add alpha min max value properties
    * add alpha = value option
  * [ROS-O] patches (#891 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/891>)
    
      * support Ogre 1.12
        OgreTechnique and Overlay are only forward declared in some headers now.
        SimpleRenderable::setMaterial requires a MaterialPtr from 1.12.
        The std::string overload was deprecated in 1.10.
      * drop ROS_DISTRO STRGREATER tests
        As the Debian packages use "Debian"
        https://salsa.debian.org/science-team/ros-ros-environment/-/blame/master/debian/rules?ref_type=heads#L6
        which is incompatible, does not trigger them
        c++14 is the default from melodic onward, so the additional statements
        there are not necessary
    
  * [jsk_rviz_plugins] fix typo in test: boundigbox -> boundingbox (#888 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/888>)
  * [jsk_rviz_plugins][Plotter2D] add option to control text size in plot (#878 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/878>)
  * use qt key namespace (#870 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/870>)
  * Fix QPainterPath path has incomplete type and cannot be defined (#869 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/869>)
  * Fix simultaneous display of OverlayCamera and OverlayImage (#863 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/863>)
  * [jsk_rviz_plugins] allocate only valid bboxes (#861 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/861>)
  * Fixed linear gague display (#860 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/860>)
  * add test to check 'genpy.message.SerializationError: field width must be an integer type' (#864 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/864>)
    * use int_t for width/height/top/left to be compatible with OverlayText.msg
    * add test to check 'genpy.message.SerializationError: field width must be an integer type'
    ```
    File "/home/k-okada/catkin_ws/jsk_recognition_ws/devel/lib/python3/dist-packages/jsk_rviz_plugins/msg/_OverlayText.py", line 127, in serialize
    except struct.error as se: self._check_types(struct.error("%s: '%s' when writing '%s'" % (type(se), str(se), str(locals().get('_x', self)))))
    File "/opt/ros/noetic/lib/python3/dist-packages/genpy/message.py", line 393, in _check_types
    check_type(n, t, getattr(self, n))
    File "/opt/ros/noetic/lib/python3/dist-packages/genpy/message.py", line 261, in check_type
    raise SerializationError('field %s must be an integer type' % field_name)
    genpy.message.SerializationError: field width must be an integer type
    ```
  * Fixed typo of Software License Agreement. and/o2r to and/or (#853 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/853>)
  * Fixed typo of Software License Agreement. and/o2r to and/or
  * [jsk_rviz_plugins] Fixed Camera Info visualization (#851 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/851>)
    
      * [jsk_rviz_plugins/CameraInfo] Fixed scale depending on encodings
      * [jsk_rviz_plugins/CameraInfo] Fixed duplicated BGR encogind
      * [jsk_rviz_plugins/CameraInfo] Enable ROI size iamge input
      * [jsk_rviz_plugins/CameraInfo] Supprt for other image encodings (#1 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/1>)
      * [jsk_rviz_plugins/CameraInfo] Avoid invalid image size case for visualization image
      * [jsk_rviz_plugins] Fixed Camera Info visualization
    
  * integrate all config file to one, to make it easy to restart failed job (#850 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/850>)
    
      * location? file? of 2017-06-20-12-00-00_people_images_in_lab.bag.tgz has changed ? but md5sum is same... strange
    
  * Contributors: Aoi Nakane, Kei Okada, Martin Pecka, Shingo Kitagawa, Yoshiki Obinata, iory, joachim-p, ozzdemir, v4hn

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-rviz-plugins (2.1.8-0jammy) jammy; urgency=high

  * Fix font name for pictgram (#835 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/835>)
    
      * add launch/pictogram_sample.launch config/pictogram_sample.rviz
      * Add FontAwesome5: #759 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/759> need to update Font Name too
        PR #579 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/579> reported fa-mendeley is not displayed correctly. This because of the plugin uses system font, which is installed by fonts-font-awesome deb package, not font defined in fontawesome.dat. So if you remove fonts-font-awesome, you can not display most of font correctly. This PR update getFont function to return the correct font family
    


=== debian/control ===
Source: ros-one-jsk-rviz-plugins
Section: misc
Priority: optional
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-cv-bridge, ros-one-diagnostic-msgs, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-jsk-footstep-msgs, ros-one-jsk-gui-msgs, ros-one-jsk-hark-msgs, ros-one-jsk-recognition-msgs, ros-one-jsk-recognition-utils, ros-one-jsk-topic-tools, ros-one-message-generation, ros-one-mk, ros-one-people-msgs, ros-one-rosbuild, ros-one-rviz, ros-one-std-msgs, ros-one-urdfdom-py, ros-one-view-controller-msgs
Homepage: https://jsk-visualization.readthedocs.io/en/latest/jsk_rviz_plugins/index.html
Standards-Version: 3.9.2

Package: ros-one-jsk-rviz-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-scipy, ros-one-cv-bridge, ros-one-diagnostic-msgs, ros-one-dynamic-reconfigure, ros-one-geometry-msgs, ros-one-image-geometry, ros-one-image-publisher, ros-one-jsk-footstep-msgs, ros-one-jsk-gui-msgs, ros-one-jsk-hark-msgs, ros-one-jsk-recognition-msgs, ros-one-jsk-recognition-utils, ros-one-jsk-topic-tools, ros-one-message-generation, ros-one-people-msgs, ros-one-posedetection-msgs, ros-one-rviz, ros-one-std-msgs, ros-one-urdfdom-py, ros-one-view-controller-msgs
Description: The jsk_rviz_plugins package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-jsk-rviz-plugins//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-jsk-rviz-plugins 2.1.10-5jammy.20251215.2208

=== debian/changelog ===
ros-one-jsk-rviz-plugins (2.1.10-5jammy.20251215.2208) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:08:47 +0000

## ros-one-jsk-rviz-plugins 2.1.10-5jammy.20260106.2151

=== debian/changelog ===
ros-one-jsk-rviz-plugins (2.1.10-5jammy.20260106.2151) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 21:51:56 +0000

## ros-one-jsk-rviz-plugins 2.1.10-5jammy.20260302.2140

=== debian/changelog ===
ros-one-jsk-rviz-plugins (2.1.10-5jammy.20260302.2140) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 02 Mar 2026 21:40:01 +0000

## ros-one-jsk-rviz-plugins 2.1.10-5noble.20251215.2206

=== debian/changelog ===
ros-one-jsk-rviz-plugins (2.1.10-5noble.20251215.2206) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 15 Dec 2025 22:06:04 +0000

ros-one-jsk-rviz-plugins (2.1.10-0noble) noble; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-rviz-plugins (2.1.9-0noble) noble; urgency=high

  * enable to jsk_rviz_plugins, without rviz/ogre (#848 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/848>)
    * jsk_rviz_plugins: find_package(Qt.. only when USE_VISUALIZATION
    * enable to compile without jsk_recognition_utils, if 'pcl/visualization' not found
    * enable to jsk_rviz_plugins, without rviz/ogre, i.e. use jsk_rviz_plugins message within embedded environment, compile with 'catkin bt -vi --cmake-args -DUSE_VISUALIZATION=ON'
  * add more visualization options for BoundingBox and BoundingBoxArray #844 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/844>
    * keep index to set box color
    * add value threshold filtering and fix unintended state behaviour for boxes violating size constraints
    * property naming consistency
    * hide min max properties in flat mode
    * add alpha min max value properties
    * add alpha = value option
  * [ROS-O] patches (#891 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/891>)
    
      * support Ogre 1.12
        OgreTechnique and Overlay are only forward declared in some headers now.
        SimpleRenderable::setMaterial requires a MaterialPtr from 1.12.
        The std::string overload was deprecated in 1.10.
      * drop ROS_DISTRO STRGREATER tests
        As the Debian packages use "Debian"
        https://salsa.debian.org/science-team/ros-ros-environment/-/blame/master/debian/rules?ref_type=heads#L6
        which is incompatible, does not trigger them
        c++14 is the default from melodic onward, so the additional statements
        there are not necessary
    
  * [jsk_rviz_plugins] fix typo in test: boundigbox -> boundingbox (#888 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/888>)
  * [jsk_rviz_plugins][Plotter2D] add option to control text size in plot (#878 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/878>)
  * use qt key namespace (#870 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/870>)
  * Fix QPainterPath path has incomplete type and cannot be defined (#869 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/869>)
  * Fix simultaneous display of OverlayCamera and OverlayImage (#863 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/863>)
  * [jsk_rviz_plugins] allocate only valid bboxes (#861 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/861>)
  * Fixed linear gague display (#860 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/860>)
  * add test to check 'genpy.message.SerializationError: field width must be an integer type' (#864 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/864>)
    * use int_t for width/height/top/left to be compatible with OverlayText.msg
    * add test to check 'genpy.message.SerializationError: field width must be an integer type'
    ```
    File "/home/k-okada/catkin_ws/jsk_recognition_ws/devel/lib/python3/dist-packages/jsk_rviz_plugins/msg/_OverlayText.py", line 127, in serialize
    except struct.error as se: self._check_types(struct.error("%s: '%s' when writing '%s'" % (type(se), str(se), str(locals().get('_x', self)))))
    File "/opt/ros/noetic/lib/python3/dist-packages/genpy/message.py", line 393, in _check_types
    check_type(n, t, getattr(self, n))
    File "/opt/ros/noetic/lib/python3/dist-packages/genpy/message.py", line 261, in check_type
    raise SerializationError('field %s must be an integer type' % field_name)
    genpy.message.SerializationError: field width must be an integer type
    ```
  * Fixed typo of Software License Agreement. and/o2r to and/or (#853 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/853>)
  * Fixed typo of Software License Agreement. and/o2r to and/or
  * [jsk_rviz_plugins] Fixed Camera Info visualization (#851 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/851>)
    
      * [jsk_rviz_plugins/CameraInfo] Fixed scale depending on encodings
      * [jsk_rviz_plugins/CameraInfo] Fixed duplicated BGR encogind
      * [jsk_rviz_plugins/CameraInfo] Enable ROI size iamge input
      * [jsk_rviz_plugins/CameraInfo] Supprt for other image encodings (#1 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/1>)
      * [jsk_rviz_plugins/CameraInfo] Avoid invalid image size case for visualization image
      * [jsk_rviz_plugins] Fixed Camera Info visualization
    
  * integrate all config file to one, to make it easy to restart failed job (#850 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/850>)
    
      * location? file? of 2017-06-20-12-00-00_people_images_in_lab.bag.tgz has changed ? but md5sum is same... strange
    
  * Contributors: Aoi Nakane, Kei Okada, Martin Pecka, Shingo Kitagawa, Yoshiki Obinata, iory, joachim-p, ozzdemir, v4hn

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 11 Dec 2024 00:00:00 -0000

ros-one-jsk-rviz-plugins (2.1.8-0noble) noble; urgency=high

  * Fix font name for pictgram (#835 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/835>)
    
      * add launch/pictogram_sample.launch config/pictogram_sample.rviz
      * Add FontAwesome5: #759 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/759> need to update Font Name too
        PR #579 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/579> reported fa-mendeley is not displayed correctly. This because of the plugin uses system font, which is installed by fonts-font-awesome deb package, not font defined in fontawesome.dat. So if you remove fonts-font-awesome, you can not display most of font correctly. This PR update getFont function to return the correct font family
    


## ros-one-jsk-rviz-plugins 2.1.10-5noble.20260106.2200

=== debian/changelog ===
ros-one-jsk-rviz-plugins (2.1.10-5noble.20260106.2200) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 06 Jan 2026 22:00:44 +0000

## ros-one-jsk-rviz-plugins 2.1.10-5noble.20260302.2154

=== debian/changelog ===
ros-one-jsk-rviz-plugins (2.1.10-5noble.20260302.2154) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 02 Mar 2026 21:54:04 +0000
